Bug 1532675 - incorrectly rendered empty lines in commands output on "Detail of Commands run" page
Summary: incorrectly rendered empty lines in commands output on "Detail of Commands ru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Released
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-09 14:53 UTC by Jan Hutař
Modified: 2019-10-07 17:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:57 UTC


Attachments (Terms of Use)
screenshot of how numbers do not match rows (26.66 KB, image/png)
2018-01-09 14:57 UTC, Jan Hutař
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:04 UTC
Foreman Issue Tracker 22209 None None None 2018-01-10 09:16:11 UTC
Red Hat Bugzilla 1655094 None None None Never

Internal Links: 1655094

Description Jan Hutař 2018-01-09 14:53:42 UTC
Description of problem:
There are incorrectly rendered empty lines in commands output on "Detail of Commands run" page


Version-Release number of selected component (if applicable):
satellite-6.3.0-23.0.el7sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Via remote execution, run some yum command which have empty lines in
   its output, e.g.:
    yum downgrade zsh ksh -y
2. Then check Monitor -> Jobs -> <job> -> Hosts -> <host> for command output


Actual results:
Notice that empty rows are missing and rows numbering continues below black area of command output. Copy&paste the text into text-editor and notice the rows are sill there.


Expected results:
Output should match to what command really returned and number annotating row should match to the number in reality (how command returned it)

Comment 2 Jan Hutař 2018-01-09 14:57:17 UTC
Created attachment 1379136 [details]
screenshot of how numbers do not match rows

Numbers of highlighted rows are shown below rows because above there were 4 empty lines in the output so line numbers and actual line content is shifted

Comment 3 Adam Ruzicka 2018-01-10 09:16:09 UTC
Created redmine issue http://projects.theforeman.org/issues/22209 from this bug

Comment 4 pm-sat@redhat.com 2018-09-18 14:02:46 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 pm-sat@redhat.com 2018-09-18 14:02:48 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 pm-sat@redhat.com 2018-09-19 14:02:54 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/22209 has been resolved.

Comment 7 Peter Ondrejka 2018-11-07 15:03:47 UTC
Verified on Satellite 6.5 snap 2

Comment 12 errata-xmlrpc 2019-05-14 12:36:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.